<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap" rel="stylesheet">
    <title>Document</title>
</head>

<style>
    * {
        box-sizing: border-box;
        padding: 0;
        margin: 0;
    }

    body {
        font-family: Ubuntu, 'sans-serif';
    }

    header {
        position: relative;
        width: 1500px;
        max-width: 100%;
        margin: 10px auto;
        border-radius: 16px;
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(50%, 1fr));
    }

    h1 {
        color: #4e658c;
        font-size: 45px;
    }

    .nav-lien a {
        margin-left: 30px;
        text-decoration: none;
        color: #4e658c;
        font-size: 22px;
    }

    .container {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        grid-template-rows: 1fr 1fr 1fr 1fr;
        grid-auto-columns: 1fr;
        grid-auto-rows: 1fr;
        gap: 10px 10px;
        grid-auto-flow: row;
        margin: 10px 0;
    }

    .div1 {
        grid-area: 1 / 1 / 2 / 2;
        border: 1px solid black;
        padding: 5px 5px;
    }

    .div2 {
        grid-area: 2 / 1 / 3 / 2;
        border: 1px solid black;
        padding: 5px 5px;
    }

    .div3 {
        grid-area: 3 / 1 / 4 / 2;
        border: 1px solid black;
        padding: 5px 5px;
    }

    .div4 {
        grid-area: 4 / 1 / 5 / 2;
        border: 1px solid black;
        padding: 5px 5px;
    }

    .div5 {
        grid-area: 1 / 2 / 3 / 4;
        border: 1px solid black;
        padding: 10px 25px;
    }

    .div6 {
        grid-area: 1 / 4 / 3 / 6;
        border: 1px solid black;
        padding: 10px 25px;
    }

    .div7 {
        grid-area: 3 / 2 / 5 / 4;
        border: 1px solid black;
        padding: 10px 25px;
    }

    .div8 {
        grid-area: 3 / 4 / 5 / 6;
        border: 1px solid black;
        padding: 10px 25px;
    }

    .div4,
    .div3,
    .div2,
    .div1 {
        display: flex;
        align-items: center;
        flex-direction: column;
        justify-content: center;
    }

    .div5 img,
    .div6 img,
    .div7 img,
    .div8 img {
        float: left;
        padding: 0 10px 0 0px;
    }

    .sidelien a {
        margin: 20px 0;
    }

    @media screen and (max-width: 1200px) {
        .container {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
        }
    }
</style>

<body>
    <header class="nav">
        <div class="nav-logo">
            <h1>MyShop</h1>
        </div>
        <nav class="nav-lien">
            <a href="#">Home</a>
            <a href="#">Service</a>
            <a href="#">Boutique</a>
            <a href="#">Contact</a>
        </nav>
    </header>
    <main>
        <div class="container">
            <div class="div1 sidelien">
                <a href="#">Home</a>
                <a href="#">Service</a>
                <a href="#">Boutique</a>
                <a href="#">Contact</a>
            </div>
            <div class="div2 sidelien">
                <a href="#">Home</a>
                <a href="#">Service</a>
                <a href="#">Boutique</a>
                <a href="#">Contact</a>
            </div>
            <div class="div3 sidelien">
                <a href="#">Home</a>
                <a href="#">Service</a>
                <a href="#">Boutique</a>
                <a href="#">Contact</a>
            </div>
            <div class="div4 sidelien">
                <a href="#">Home</a>
                <a href="#">Service</a>
                <a href="#">Boutique</a>
                <a href="#">Contact</a>
            </div>
            <div class="div5">
                <h1>Mon Titre</h1>
                <img src="https://via.placeholder.com/250" alt="">
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                </p>
            </div>
            <div class="div6">
                <h1>Mon Titre</h1>
                <img src="https://via.placeholder.com/250" alt="">
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                </p>
            </div>
            <div class="div7">
                <h1>Mon Titre</h1>
                <img src="https://via.placeholder.com/250" alt="">
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                </p>
            </div>
            <div class="div8">
                <h1>Mon Titre</h1>
                <img src="https://via.placeholder.com/250" alt="">
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quaerat doloribus ratione cum tenetur,
                    beatae
                    non
                    quibusdam labore id eius fugit unde! Sapiente veniam excepturi eaque ut magnam nam possimus dolorum!
                </p>
            </div>
        </div>
    </main>
</body>

</html>